Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# manimpango.PangoUtils

class PangoUtils

  Bases: `object`

  Methods

  `remove_last_M` | Remove element from the SVG file in order to allow comparison.
  `str2style` | Internally used function.
  `str2weight` | Internally used function.

  static remove_last_M(file_name)

    Remove element from the SVG file in order to allow comparison.

    Parameters:

      file_name (str) –

    Return type:

      None

  static str2style(string)

    Internally used function. Converts text to Pango Understandable Styles.

    Parameters:

      string (str) –

    Return type:

      Style

  static str2weight(string)

    Internally used function. Convert text to Pango Understandable Weight

    Parameters:

      string (str) –

    Return type:

      Weight